package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.ChinaArea;

import java.util.List;

/**
 * 中国行政规划Mapper接口
 * 
 * @author boman
 * @date 2023-03-28
 */
public interface ChinaAreaMapper 
{
    /**
     * 查询中国行政规划
     * 
     * @param areaId 中国行政规划主键
     * @return 中国行政规划
     */
    public ChinaArea selectChinaAreaByAreaId(String areaId);
    public List<ChinaArea> selectChinaAreaByPId(String areaId);

    /**
     * 查询中国行政规划列表
     * 
     * @param chinaArea 中国行政规划
     * @return 中国行政规划集合
     */
    public List<ChinaArea> selectChinaAreaList(ChinaArea chinaArea);

    /**
     * 新增中国行政规划
     * 
     * @param chinaArea 中国行政规划
     * @return 结果
     */
    public int insertChinaArea(ChinaArea chinaArea);

    /**
     * 修改中国行政规划
     * 
     * @param chinaArea 中国行政规划
     * @return 结果
     */
    public int updateChinaArea(ChinaArea chinaArea);

    /**
     * 删除中国行政规划
     * 
     * @param areaId 中国行政规划主键
     * @return 结果
     */
    public int deleteChinaAreaByAreaId(String areaId);

    /**
     * 批量删除中国行政规划
     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChinaAreaByAreaIds(String[] areaIds);
}
